Class List Method List File List

# Class: Concurrent::Synchronization::Lock

Inherits:
  LockableObject
  - Object
  - LockableObject
  - Concurrent::Synchronization::Lock
  show all
Defined in:
  lib/concurrent/synchronization/lock.rb

## Overview

TODO (pitr-ch 04-Dec-2016): should be in edge

## Instance Method Summary (collapse)

- - (undocumented) broadcast
- - (undocumented) ns_broadcast
- - (undocumented) ns_signal
- - (undocumented) ns_wait
- - (undocumented) ns_wait_until
- - (undocumented) signal
- - (undocumented) synchronize
- - (undocumented) wait(timeout = nil)
- - (undocumented) wait_until(timeout = nil, &condition)

## Constructor Details

This class inherits a constructor from Concurrent::Synchronization::LockableObject

## Instance Method Details

### - (`undocumented`) broadcast

    27
    28
    29

    # File 'lib/concurrent/synchronization/lock.rb', line 27

    def broadcast
      synchronize { ns_broadcast }
    end

### - (`undocumented`) ns_broadcast

### - (`undocumented`) ns_signal

### - (`undocumented`) ns_wait

### - (`undocumented`) ns_wait_until

### - (`undocumented`) signal

    21
    22
    23

    # File 'lib/concurrent/synchronization/lock.rb', line 21

    def signal
      synchronize { ns_signal }
    end

### - (`undocumented`) synchronize

### - (`undocumented`) wait(timeout = nil)

    9
    10
    11

    # File 'lib/concurrent/synchronization/lock.rb', line 9

    def wait(timeout = nil)
      synchronize { ns_wait(timeout) }
    end

### - (`undocumented`) wait_until(timeout = nil, &condition)

    15
    16
    17

    # File 'lib/concurrent/synchronization/lock.rb', line 15

    def wait_until(timeout = nil, &condition)
      synchronize { ns_wait_until(timeout, &condition) }
    end